Priority: Normal

Assignee: Jürgen Fischer

Category: Data Provider/Oracle

Affected QGIS version:3.4.5 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25113

Description

Testing viewing Oracle tables here in current master 6cd8b4c83e

After making a succesfull connection you get presented a (tree) table of all layers.

Some strange things happening here:

- if your table does not have a primary key (that is the column Primary key column is emtpy), you can double click in the cell (of that table):

you are then presented with a Query Builder window, BUT adding a Field name then does not work. Looks like there should not be a

Query Builder there?

- if you click one row (select a table), then the Add button will be enabled. BUT if you select click another row, it is ADDED to the selection

(so you have to rows selected)

I think that is strange, normally you select another row, and maybe can add rows to the selection by using the shift button or so?

- if you have 2 rows selected, and DEselect one row, then the 'Add' button is disabled and connot be used anymore... selecting a second

row again enables the button...

Looks like the enabling/disabling is not in sync with what you see?

History

#1 - 2017-09-28 11:24 AM - Richard Duivenvoorde

- File oraclemsg2.png added

Attached a screenie where I just disabled a second row, seeing a DISabled add button

Not this one is in 2.18.3, so it is not a regression.

#2 - 2019-03-09 04:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

#3 - 2019-03-10 08:26 PM - Richard Duivenvoorde

- Status changed from Feedback to Open
#4 - 2019-03-11 11:41 AM - Giovanni Manghi

- Affected QGIS version changed from master to 3.4.5

Files
